Uploaded image for project: 'Spring Web Services'
  1. Spring Web Services
  2. SWS-488

Export-Packages in MANIFEST.MF are not versioned

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.5.6
    • Fix Version/s: 1.5.7
    • Component/s: Core, OXM
    • Labels:
      None

      Description

      The Export-Packges in the MANIFEST.MF are not versioned and hence will not work in the Spring DM server.

        Activity

        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Did you try to use the bundles from the SpringSource repository (http://www.springsource.com/repository/app/), or bundles obtained from elsewhere?

        Show
        arjen.poutsma Arjen Poutsma added a comment - Did you try to use the bundles from the SpringSource repository ( http://www.springsource.com/repository/app/ ), or bundles obtained from elsewhere?
        Hide
        torarnek Tor Arne Kvaløy added a comment -

        The one I testet came from maven central repository. For example:

        <dependency>
        <groupId>org.springframework.ws</groupId>
        <artifactId>spring-ws-core-tiger</artifactId>
        <version>1.5.6</version>
        </dependency>

        Show
        torarnek Tor Arne Kvaløy added a comment - The one I testet came from maven central repository. For example: <dependency> <groupId>org.springframework.ws</groupId> <artifactId>spring-ws-core-tiger</artifactId> <version>1.5.6</version> </dependency>
        Hide
        torarnek Tor Arne Kvaløy added a comment -

        And by the way, the SpringSource repository is not updated with the 1.5.6 version.

        Show
        torarnek Tor Arne Kvaløy added a comment - And by the way, the SpringSource repository is not updated with the 1.5.6 version.
        Hide
        arjen.poutsma Arjen Poutsma added a comment - - edited

        I will make sure 1.5.7 ends up in the Enterprise Bundle Repository, and also make sure that that version works in DM server.

        Show
        arjen.poutsma Arjen Poutsma added a comment - - edited I will make sure 1.5.7 ends up in the Enterprise Bundle Repository, and also make sure that that version works in DM server.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Closing old issues

        Show
        arjen.poutsma Arjen Poutsma added a comment - Closing old issues

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            torarnek Tor Arne Kvaløy
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: